Bug 1023318 - using displaylink device for extended desktop renders desktop unusable
using displaylink device for extended desktop renders desktop unusable
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
21
All Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Orphan Owner
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-25 04:02 EDT by Damian Ivanov
Modified: 2015-12-02 11:06 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-01 22:00:59 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log (128.94 KB, text/x-log)
2013-10-25 04:02 EDT, Damian Ivanov
no flags Details

  None (edit)
Description Damian Ivanov 2013-10-25 04:02:38 EDT
Created attachment 816036 [details]
Xorg.0.log

Description of problem:
I try to use the Plugable UD160A (which Lennart talked a lot about for multiseat)
as a docking station for an extended desktop. To do this as Lennart suggested http://www.mail-archive.com/systemd-devel@lists.freedesktop.org/msg12801.html
I dropped the auto seat logic in /etc/udev/rules.d/
After reboot as expected the display is detected at the same seat and is available, but whole X and every application is unusable slow, the window moving and every click happens with very long delay. Immediately after disconnecting the displaylink device the system is perfectly fast again.   

How reproducible:
always (tried on Fedora 19 - latest updates and openSUSE 13.1 RC1 - latest updates), happens with GNOME and KDE (with and without desktop acceleration enabled) 

Steps to Reproduce:
1. Drop autoseat for multiseat device Plugable UD160A
2. Connect the device (or if it is connected, reboot).
3. System is unusable.

PS: As multiseat config both seats are perfectly fast.
    Does with the udl driver the rendering happen in the main GPU (I know there was work on it)? Maybe the rendering is set to happen on the main GPU only if it is set as a separate seat but not when set as extended desktop to current seat?
Comment 1 Damian Ivanov 2014-04-03 04:55:24 EDT
*bump* and I doubt that xorg-x11-drv-displaylink is the absolutely right component. This issue is critical if you didn't get it. It _breaks_ usage. You can _NOT_ use your hardware properly.
Comment 2 Damian Ivanov 2014-11-06 10:34:39 EST
still an issue, and since it renders the whole desktop unusable see,s like xorg issue rather
Comment 3 Damian Ivanov 2014-11-06 10:49:16 EST
More specifically when something runs on the diplaylink attached display than the all display are unusably slow (window movement etc). When nothing is shown on the displaylink attached monitor everything is fine. Free Radeon driver
Comment 4 Fedora End Of Life 2015-11-04 09:56:04 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2015-12-01 22:01:04 EST
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.